pairwise.t.test {stats} | R Documentation

## Pairwise t tests

### Description

Calculate pairwise comparisons between group levels with corrections for multiple testing

### Usage

    pairwise.t.test(x, g, p.adjust.method=p.adjust.methods, pool.sd=TRUE, ...)

### Arguments

`x` | Response vector
`g` | Grouping vector or factor
`p.adjust.method` | Method for adjusting p values (see `p.adjust`)
`pool.sd` | Switch to allow/disallow the use of a pooled SD
`...` | Additional arguments to pass to `t.test`

### Value

Object of class `"pairwise.htest"`

### See Also

`t.test`, `p.adjust`

### Examples

    data(airquality)
    attach(airquality)
    Month <- factor(Month, labels = month.abb[5:9])
    pairwise.t.test(Ozone, Month)
    pairwise.t.test(Ozone, Month, p.adj = "bonf")
    pairwise.t.test(Ozone, Month, pool.sd = FALSE)
    detach()

[Package Contents]